﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="Demo.aspx.cs" Inherits="API_Demo.Demo" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>API Demo</title>
    <style type="text/css">
        /* move styles to separate css file if you wish */
        html
        {
            background-color: white;
        }

        #txtInput
        {
            width: 600px;
            height: 50px;
            overflow: auto;
        }

        .tdStyle
        {
            padding-left: 20px;
            text-align: center;
            width: 70px;
        }

        .tagCloud
        {
            float: left;
            margin-left: 90px;
            width: 350px;
            text-align: center;
        }

        .tagLev0_minus
        {
            font-size: 30px;
            color: red;
            font-weight: bold;
            padding: 5px;
        }

        .tagLev1_minus
        {
            font-size: 25px;
            color: red;
            padding: 5px;
        }

        .tagLev2
        {
            font-size: 17px;
            font-weight: 300;
            color: darkgray;
        }

        .tagLev2_minus
        {
            font-size: 12px;
            font-weight: 300;
            color: silver;
        }

        .tagLev2_plus
        {
            font-size: 20px;
            font-weight: 100;
            color: gray;
        }

        .tagLev3_plus
        {
            font-size: 25px;
            color: green;
            padding: 5px;
        }

        .tagLev4_plus
        {
            font-size: 30px;
            color: green;
            font-weight: bold;
            padding: 5px;
        }

        h3
        {
            display: block;
            font-size: 14px;
            font-weight: 700;
            margin-bottom: 3px;
            margin-top: 1px;
        }

        .hlt-Scr0
        {
            background-color: red;
        }

        .hlt-Scr1
        {
            background-color: rgb(250, 90, 90);
        }

        .hlt-Scr2-pls
        {
            background-color: rgb(168, 167, 167);
        }

        .hlt-Scr2-mns
        {
            background-color: rgb(228, 225, 225);
        }

        .hlt-Scr3
        {
            background-color: rgb(8, 179, 8);
        }

        .hlt-Scr4
        {
            background-color: rgb(7, 141, 7);
        }

        .tbl
        {
            width: 100%;
            border-collapse: collapse;
        }

            .tbl td
            {
                padding: 7px;
                border: #cbc7c7 1px solid;
            }

            .tbl tr
            {
                background: silver;
            }

                .tbl tr:nth-child(odd)
                {
                    background: #DDDDDD;
                }

                .tbl tr:nth-child(even)
                {
                    background: white;
                }
    </style>
</head>
<body>
    <form id="form1" runat="server">
        <div id="wrapper" style="width: 1200px; padding: 5px;">
            <div style="width: 640px; float: left;">
                <textarea id="txtInput" runat="server">I own an LG TV and I love it. I purchased a larger one for bedroom and it arrived with a busted screen, so I ordered a replacement and received it on Friday. Took it out and set it up. NO picture - only static with a BLACK screen. It was hooked to Direct TV so we knew there was a problem when there was no picture and only static. It wouldn't respond to remote buttons or the buttons on the TV itself - definitely a problem. I called LG customer service and we performed a couple of their tests recommendations and finally got voice sound but still no picture, then we lost the voice again. AND it even responded even less to any button commands. The Customer Service lady told me this LG was defective. VERY disappointing to say the least - to receive not one but 2 broke/defective TV's. I'm ready to get my money back and try another brand. And I really do like my smaller LG so this is even more upsetting!
                </textarea>
            </div>
            <div style="width: 200px; float: left;">
                <asp:Button ID="btnRunAnalysis" runat="server" OnClientClick="document.getElementById('lblProcessing').style.display = 'block';" Style="background-color: red; color: white; height: 30px; font-weight: bold;" Text="Run Analysis" OnClick="btnRunAnalysis_Click" />
                <div style="line-height: 10px;">&nbsp;</div>
                <asp:CheckBox ID="chkbIsTwitter" runat="server" Text="Twitter-like content" />
            </div>
            <div style="clear: both;"></div>
            <div id="lblProcessing" style="display: none; font-weight: bold; color: red;">
                <!-- you can put your loading icon here  -->
                processing...
            </div>

            <div style="width: 640px; float: left; padding-top: 20px;">
                <div id="txtInputDisplay" style="max-height: 200px; width: 600px; overflow: hidden; overflow-y: scroll;" visible="false" enableviewstate="false" runat="server"></div>
            </div>
            <div style="width: 350px; float: left; padding-top: 20px;">
                <asp:Label ID="lblCloud" Visible="false" enableviewstate="false" runat="server"></asp:Label>
            </div>
            <div style="clear: both; padding-bottom: 20px;"></div>

            <!-- pnlResults gets visible when analysis is finished -->
            <asp:Panel ID="pnlResults" Visible="false" EnableViewState="false" runat="server">
                <hr style="border-bottom: 0px #f1eded; color: #f1eded; height: 0px;" />

                <b>This document is: <span style="color: <%= GetSentColor() %>;"><%= RESULT.DocSentimentResultString + " (" + RESULT.DocSentimentPolarity + RESULT.DocSentimentValue.ToString("0.000") + ")" %></span></b>

                <div style="line-height: 10px;">&nbsp;</div>
                <b>Subjectivity: </b><%= RESULT.Subjectivity %>

                <hr style="border-bottom: 0px #f1eded; color: #f1eded; height: 0px;" />

                <!-- SUMMARY BLOCK START -->
                <% if (RESULT.Summarization != null && RESULT.Summarization.Length > 50)
                   { %>
                <br />
                <b>Summary</b><br />
                <i><%= RESULT.Summarization %></i>
                <% } %>
                <!-- SUMMARY BLOCK END -->


                <!-- ENTITIES BLOCK START -->
                <% if (RESULT.Entities != null && RESULT.Entities.Any())
                   { %>
                <br />
                <br />
                <b>Detected Entities</b><br />
                <table class="tbl">
                    <% foreach (var item in RESULT.Entities)
                       { %>
                    <tr>
                        <td style="width: 590px;"><%= item.Text %> <span style="float: right; font-size: small;"><%= item.KeywordType.Substring(0,3) %></span></td>
                        <td style="width: 200px; padding-left: 10px; text-align: center; background-color: <%= GetScoreHtmlColor(item) %>;"><%= item.SentimentPolarity + item.SentimentValue.ToString("0.000") %></td>
                    </tr>
                    <% } %>
                </table>
                <% } %>
                <!-- ENTITIES BLOCK END -->


                <!-- KEYWORDS BLOCK START -->
                <% if (RESULT.Keywords != null && RESULT.Keywords.Any())
                   { %>
                <br />
                <br />
                <b>Detected Keywords</b><br />
                <table class="tbl">
                    <% foreach (var item in RESULT.Keywords)
                       { %>
                    <tr>
                        <td style="width: 600px;"><%= item.Text %></td>
                        <td style="width: 200px; padding-left: 10px; text-align: center; background-color: <%= GetScoreHtmlColor(item) %>;"><%= item.SentimentPolarity + item.SentimentValue.ToString("0.000") %></td>
                    </tr>
                    <% } %>
                </table>
                <% } %>
                <!-- KEYWORDS BLOCK END -->


                <!-- CORE SENTENCES BLOCK START -->
                <% if (RESULT.CoreSentences != null && RESULT.CoreSentences.Count() > 2)
                   { %>
                <br />
                <br />
                <b>Core sentences</b><br />
                <table class="tbl">
                    <% foreach (var item in RESULT.CoreSentences)
                       { %>
                    <tr>
                        <td style="width: 590px;"><%= item.Text %> <span style="float: right; font-size: small; font-weight: bold;"><%= item.Relevance %></span></td>
                        <td style="width: 200px; padding-left: 10px; text-align: center; background-color: <%= GetScoreHtmlColor(item) %>;"><%= item.SentimentPolarity + item.SentimentValue.ToString("0.000") %></td>
                    </tr>
                    <% } %>
                </table>
                <% } %>
                <!-- CORE SENTENCES BLOCK END -->


                <!-- PARTS OF SPEACH BLOCK START -->
                <% if (RESULT.PartsOfSpeech != null && RESULT.PartsOfSpeech.Any())
                   { %>
                <br />
                <br />
                <b>Parts of the speech</b><br />
                <table class="tbl">
                    <% foreach (var item in RESULT.PartsOfSpeech)
                       { %>
                    <tr>
                        <td style="width: 600px;"><%= item.Text %></td>
                        <td style="width: 200px; padding-left: 10px; text-align: left;">
                            <b>Subject:</b> <%= item.Subject %><br />
                            <b>Action:</b> <%= item.Action %><br />
                            <b>Object:</b> <%= item.Object %>  (<%= item.ObjectSentimentPolarity + item.ObjectSentimentValue.ToString("0.000") %>)
                        </td>
                    </tr>
                    <% } %>
                </table>
                <% } %>
                <!-- PARTS OF SPEACH BLOCK END -->


                <!--AUTO CATEGORIES BLOCK START -->
                <% if (RESULT.AutoCategories != null && RESULT.AutoCategories.Any())
                   { %>
                <br />
                <br />
                <b>Auto categories</b><br />
                <table class="tbl">
                    <% foreach (var item in RESULT.AutoCategories)
                       { %>
                    <tr>
                        <td style="width: 600px;"><%= item.CategoryName %></td>
                        <td style="width: 200px; padding-left: 10px; text-align: center;"><%= item.Score.ToString("0.000") %></td>
                    </tr>
                    <% } %>
                </table>
                <% } %>
                <!--AUTO CATEGORIES BLOCK END -->


                <!--USER CATEGORIES BLOCK START -->
                <% if (RESULT.UserCategories != null && RESULT.UserCategories.Any())
                   { %>
                <br />
                <br />
                <b>User categories</b><br />
                <table class="tbl">
                    <% foreach (var item in RESULT.UserCategories)
                       { %>
                    <tr>
                        <td style="width: 600px;"><%= item.CategoryName %></td>
                        <td style="width: 200px; padding-left: 10px; text-align: center;"><%= item.Score.ToString("0.000") %></td>
                    </tr>
                    <% } %>
                </table>
                <% }
                   else
                   {%>
                <!-- <div style="color: red;"><b>No user categories found - please login to your account at text2data.org and train your custom model!</b></div> -->
                <% }  %>
                <!--USER CATEGORIES BLOCK end -->


                <div style="height: 30px;">&nbsp;</div>
            </asp:Panel>

            <asp:Label ID="lblError" runat="server" Visible="false" Font-Bold="true" ForeColor="Red" BorderWidth="1" ViewStateMode="Disabled"></asp:Label>
        </div>
    </form>
</body>
</html>
